=== added directory 'plugin/collation_dictionary'
=== renamed file 'plugin/data_engine/character_sets.cc' => 'plugin/collation_dictionary/character_sets.cc'
--- plugin/data_engine/character_sets.cc	2010-02-05 08:11:15 +0000
+++ plugin/collation_dictionary/character_sets.cc	2010-02-10 09:10:08 +0000
@@ -19,8 +19,7 @@
  */
 
 #include "config.h"
-
-#include "plugin/data_engine/character_sets.h"
+#include "plugin/collation_dictionary/dictionary.h"
 
 using namespace std;
 using namespace drizzled;

=== renamed file 'plugin/data_engine/character_sets.h' => 'plugin/collation_dictionary/character_sets.h'
--- plugin/data_engine/character_sets.h	2010-02-05 08:11:15 +0000
+++ plugin/collation_dictionary/character_sets.h	2010-02-10 09:10:08 +0000
@@ -18,11 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef PLUGIN_DATA_ENGINE_CHARACTER_SETS_H
-#define PLUGIN_DATA_ENGINE_CHARACTER_SETS_H
-
-#include "drizzled/plugin/table_function.h"
-#include "drizzled/field.h"
+#ifndef PLUGIN_COLLATION_DICTIONARY_CHARACTER_SETS_H
+#define PLUGIN_COLLATION_DICTIONARY_CHARACTER_SETS_H
 
 class CharacterSetsTool : public drizzled::plugin::TableFunction
 {
@@ -48,4 +45,4 @@
   }
 };
 
-#endif /* PLUGIN_DATA_ENGINE_CHARACTER_SETS_H */
+#endif /* PLUGIN_COLLATION_DICTIONARY_CHARACTER_SETS_H */

=== renamed file 'plugin/data_engine/collations.cc' => 'plugin/collation_dictionary/collations.cc'
--- plugin/data_engine/collations.cc	2010-02-05 08:11:15 +0000
+++ plugin/collation_dictionary/collations.cc	2010-02-10 09:10:08 +0000
@@ -19,8 +19,7 @@
  */
 
 #include "config.h"
-
-#include "plugin/data_engine/collations.h"
+#include "plugin/collation_dictionary/dictionary.h"
 
 using namespace std;
 using namespace drizzled;

=== renamed file 'plugin/data_engine/collations.h' => 'plugin/collation_dictionary/collations.h'
--- plugin/data_engine/collations.h	2010-02-05 08:11:15 +0000
+++ plugin/collation_dictionary/collations.h	2010-02-10 09:10:08 +0000
@@ -18,11 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef PLUGIN_DATA_ENGINE_COLLATIONS_H
-#define PLUGIN_DATA_ENGINE_COLLATIONS_H
-
-#include "drizzled/plugin/table_function.h"
-#include "drizzled/field.h"
+#ifndef PLUGIN_COLLATION_DICTIONARY_COLLATIONS_H
+#define PLUGIN_COLLATION_DICTIONARY_COLLATIONS_H
 
 class CollationsTool : public drizzled::plugin::TableFunction
 {
@@ -49,4 +46,4 @@
 
 };
 
-#endif // PLUGIN_DATA_ENGINE_COLLATIONS_H
+#endif // PLUGIN_COLLATION_DICTIONARY_COLLATIONS_H

=== added file 'plugin/collation_dictionary/dictionary.cc'
--- plugin/collation_dictionary/dictionary.cc	1970-01-01 00:00:00 +0000
+++ plugin/collation_dictionary/dictionary.cc	2010-02-10 09:10:08 +0000
@@ -0,0 +1,74 @@
+/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Brian Aker
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include "config.h"
+#include "plugin/collation_dictionary/dictionary.h"
+
+static CharacterSetsTool *character_sets;
+static CollationsTool *collations;
+
+static int init(drizzled::plugin::Registry &registry)
+{
+  character_sets= new(std::nothrow)CharacterSetsTool;
+  collations= new(std::nothrow)CollationsTool;
+
+  registry.add(character_sets);
+  registry.add(collations);
+  
+  return 0;
+}
+
+static int finalize(drizzled::plugin::Registry &registry)
+{
+  registry.remove(character_sets);
+  registry.remove(collations);
+  delete character_sets;
+  delete collations;
+
+  return 0;
+}
+
+int foo(void);
+int foo(void)
+{
+  drizzled::plugin::Registry &registry= drizzled::plugin::Registry::singleton();
+  init(registry);
+  finalize(registry);
+
+  return 0;
+}
+
+#if 0
+DRIZZLE_DECLARE_PLUGIN
+{
+  DRIZZLE_VERSION_ID,
+  "schema_dictionary",
+  "1.0",
+  "Brian Aker",
+  "Data Dictionary for schema, table, column, indexes, etc",
+  PLUGIN_LICENSE_GPL,
+  init,
+  finalize,
+  NULL,
+  NULL,
+  NULL
+}
+DRIZZLE_DECLARE_PLUGIN_END;
+#endif

=== added file 'plugin/collation_dictionary/dictionary.h'
--- plugin/collation_dictionary/dictionary.h	1970-01-01 00:00:00 +0000
+++ plugin/collation_dictionary/dictionary.h	2010-02-10 09:10:08 +0000
@@ -0,0 +1,29 @@
+/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Brian Aker
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#ifndef PLUGIN_SCHEMA_DICTIONARY_DICTIONARY_H
+#define PLUGIN_SCHEMA_DICTIONARY_DICTIONARY_H
+
+#include "drizzled/plugin/table_function.h"
+
+#include <plugin/collation_dictionary/character_sets.h>
+#include <plugin/collation_dictionary/collations.h>
+
+#endif  /* PLUGIN_SCHEMA_DICTIONARY_DICTIONARY_H */

=== added file 'plugin/collation_dictionary/plugin.ini'
--- plugin/collation_dictionary/plugin.ini	1970-01-01 00:00:00 +0000
+++ plugin/collation_dictionary/plugin.ini	2010-02-10 09:10:08 +0000
@@ -0,0 +1,12 @@
+[plugin]
+title=Character And Collation Dictionary
+description=Dictionary plugins for character set and collation system.
+load_by_default=yes
+sources=
+  character_sets.cc
+  collations.cc
+  dictionary.cc
+headers= 
+  character_sets.h
+  collations.h
+  dictionary.h

=== modified file 'plugin/data_engine/function.cc'
--- plugin/data_engine/function.cc	2010-02-10 02:34:41 +0000
+++ plugin/data_engine/function.cc	2010-02-10 09:10:08 +0000
@@ -79,53 +79,18 @@
 
 
 static drizzled::plugin::StorageEngine *function_plugin= NULL;
-static CharacterSetsTool *character_sets;
-static CollationsTool *collations;
-static ModulesTool *modules;
-static PluginsTool *plugins;
-static ProcesslistTool *processlist;
-static StatementsTool *global_statements;
-static StatementsTool *session_statements;
-static StatusTool *global_status;
-static StatusTool *session_status;
-static VariablesTool *global_variables;
-static VariablesTool *session_variables;
-
 
 static int init(drizzled::plugin::Registry &registry)
 {
   function_plugin= new(std::nothrow) Function("FunctionEngine");
+
   if (not function_plugin)
   {
     return 1;
   }
 
-  character_sets= new(std::nothrow)CharacterSetsTool;
-  collations= new(std::nothrow)CollationsTool;
-  modules= new(std::nothrow)ModulesTool;
-  plugins= new(std::nothrow)PluginsTool;
-  processlist= new(std::nothrow)ProcesslistTool;
-  global_statements= new(std::nothrow)StatementsTool(true);
-  global_status= new(std::nothrow)StatusTool(true);
-  session_statements= new(std::nothrow)StatementsTool(false);
-  session_status= new(std::nothrow)StatusTool(false);
-  global_variables= new(std::nothrow)VariablesTool(true);
-  session_variables= new(std::nothrow)VariablesTool(false);
-
   registry.add(function_plugin);
 
-  registry.add(character_sets);
-  registry.add(collations);
-  registry.add(global_statements);
-  registry.add(global_status);
-  registry.add(global_variables);
-  registry.add(modules);
-  registry.add(plugins);
-  registry.add(processlist);
-  registry.add(session_statements);
-  registry.add(session_status);
-  registry.add(session_variables);
-  
   return 0;
 }
 
@@ -134,18 +99,6 @@
   registry.remove(function_plugin);
   delete function_plugin;
 
-  delete character_sets;
-  delete collations;
-  delete global_statements;
-  delete global_status;
-  delete global_variables;
-  delete modules;
-  delete plugins;
-  delete processlist;
-  delete session_statements;
-  delete session_status;
-  delete session_variables;
-
   return 0;
 }
 

=== modified file 'plugin/data_engine/function.h'
--- plugin/data_engine/function.h	2010-02-10 02:34:41 +0000
+++ plugin/data_engine/function.h	2010-02-10 09:10:08 +0000
@@ -26,16 +26,6 @@
 #include <drizzled/plugin/storage_engine.h>
 #include <drizzled/plugin/table_function.h>
 
-
-#include <plugin/data_engine/character_sets.h>
-#include <plugin/data_engine/collations.h>
-
-#include <plugin/data_engine/modules.h>
-#include <plugin/data_engine/plugins.h>
-#include <plugin/data_engine/processlist.h>
-
-#include <plugin/data_engine/status.h>
-
 extern const drizzled::CHARSET_INFO *default_charset_info;
 
 static const char *function_exts[] = {

=== modified file 'plugin/data_engine/plugin.ini'
--- plugin/data_engine/plugin.ini	2010-02-10 02:34:41 +0000
+++ plugin/data_engine/plugin.ini	2010-02-10 09:10:08 +0000
@@ -1,22 +1,10 @@
 [plugin]
 title=Data Engine
-description=Data Engine for Data Dictionary
+description=Function Engine used for Table Functions.
 load_by_default=yes
-sources= character_sets.cc
-  collations.cc
+sources=
   cursor.cc
   function.cc
-  modules.cc
-  plugins.cc
-  processlist.cc
-  status.cc
-headers= character_sets.h
-  collations.h
+headers=
   cursor.h
   function.h
-  modules.h
-  plugins.h
-  processlist.h
-  state_tool.h
-  status.h
-  variables.h

=== added directory 'plugin/registry_dictionary'
=== added file 'plugin/registry_dictionary/dictionary.cc'
--- plugin/registry_dictionary/dictionary.cc	1970-01-01 00:00:00 +0000
+++ plugin/registry_dictionary/dictionary.cc	2010-02-10 09:10:08 +0000
@@ -0,0 +1,74 @@
+/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Brian Aker
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include "config.h"
+#include "plugin/registry_dictionary/dictionary.h"
+
+static ModulesTool *modules;
+static PluginsTool *plugins;
+
+static int init(drizzled::plugin::Registry &registry)
+{
+  modules= new(std::nothrow)ModulesTool;
+  plugins= new(std::nothrow)PluginsTool;
+
+  registry.add(modules);
+  registry.add(plugins);
+  
+  return 0;
+}
+
+static int finalize(drizzled::plugin::Registry &registry)
+{
+  registry.remove(modules);
+  registry.remove(plugins);
+  delete modules;
+  delete plugins;
+
+  return 0;
+}
+
+int foo(void);
+int foo(void)
+{
+  drizzled::plugin::Registry &registry= drizzled::plugin::Registry::singleton();
+  init(registry);
+  finalize(registry);
+
+  return 0;
+}
+
+#if 0
+DRIZZLE_DECLARE_PLUGIN
+{
+  DRIZZLE_VERSION_ID,
+  "registry_dictionary",
+  "1.0",
+  "Brian Aker",
+  "Provides dictionary for plugin registry system.",
+  PLUGIN_LICENSE_GPL,
+  init,     /* Plugin Init */
+  finalize,     /* Plugin Deinit */
+  NULL,               /* status variables */
+  NULL,               /* system variables */
+  NULL                /* config options   */
+}
+DRIZZLE_DECLARE_PLUGIN_END;
+#endif

=== added file 'plugin/registry_dictionary/dictionary.h'
--- plugin/registry_dictionary/dictionary.h	1970-01-01 00:00:00 +0000
+++ plugin/registry_dictionary/dictionary.h	2010-02-10 09:10:08 +0000
@@ -0,0 +1,31 @@
+/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Brian Aker
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#ifndef PLUGIN_SCHEMA_DICTIONARY_DICTIONARY_H
+#define PLUGIN_SCHEMA_DICTIONARY_DICTIONARY_H
+
+#include <set>
+
+#include "drizzled/plugin/table_function.h"
+
+#include "plugin/registry_dictionary/plugins.h"
+#include "plugin/registry_dictionary/modules.h"
+
+#endif  /* PLUGIN_SCHEMA_DICTIONARY_DICTIONARY_H */

=== renamed file 'plugin/data_engine/modules.cc' => 'plugin/registry_dictionary/modules.cc'
--- plugin/data_engine/modules.cc	2010-02-07 03:19:57 +0000
+++ plugin/registry_dictionary/modules.cc	2010-02-10 09:10:08 +0000
@@ -20,8 +20,8 @@
 
 #include "config.h"
 
-#include <plugin/data_engine/function.h>
-#include <drizzled/plugin/library.h>
+#include "plugin/registry_dictionary/dictionary.h"
+#include "drizzled/plugin/library.h"
 
 using namespace std;
 using namespace drizzled;

=== renamed file 'plugin/data_engine/modules.h' => 'plugin/registry_dictionary/modules.h'
--- plugin/data_engine/modules.h	2010-02-05 08:11:15 +0000
+++ plugin/registry_dictionary/modules.h	2010-02-10 09:10:08 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef PLUGIN_DATA_ENGINE_MODULES_H
-#define PLUGIN_DATA_ENGINE_MODULES_H
+#ifndef PLUGIN_REGISTRY_DICTIONARY_MODULES_H
+#define PLUGIN_REGISTRY_DICTIONARY_MODULES_H
 
 class ModulesTool : public drizzled::plugin::TableFunction
 {
@@ -45,4 +45,4 @@
   }
 };
 
-#endif // PLUGIN_DATA_ENGINE_MODULES_H
+#endif // PLUGIN_REGISTRY_DICTIONARY_MODULES_H

=== added file 'plugin/registry_dictionary/plugin.ini'
--- plugin/registry_dictionary/plugin.ini	1970-01-01 00:00:00 +0000
+++ plugin/registry_dictionary/plugin.ini	2010-02-10 09:10:08 +0000
@@ -0,0 +1,12 @@
+[plugin]
+title=Registry Dictionary
+description=Provides dictionary tables for plugin system.
+load_by_default=yes
+sources=
+  dictionary.cc
+  modules.cc
+  plugins.cc
+headers=
+  dictionary.h
+  modules.h
+  plugins.h

=== renamed file 'plugin/data_engine/plugins.cc' => 'plugin/registry_dictionary/plugins.cc'
--- plugin/data_engine/plugins.cc	2010-02-07 03:19:57 +0000
+++ plugin/registry_dictionary/plugins.cc	2010-02-10 09:10:08 +0000
@@ -20,7 +20,7 @@
 
 #include "config.h"
 
-#include <plugin/data_engine/function.h>
+#include <plugin/registry_dictionary/dictionary.h>
 
 using namespace std;
 using namespace drizzled;

=== renamed file 'plugin/data_engine/plugins.h' => 'plugin/registry_dictionary/plugins.h'
--- plugin/data_engine/plugins.h	2010-02-05 08:11:15 +0000
+++ plugin/registry_dictionary/plugins.h	2010-02-10 09:10:08 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef PLUGIN_DATA_ENGINE_PLUGINS_H
-#define PLUGIN_DATA_ENGINE_PLUGINS_H
+#ifndef PLUGIN_REGISTRY_DICTIONARY_PLUGINS_H
+#define PLUGIN_REGISTRY_DICTIONARY_PLUGINS_H
 
 
 class PluginsTool : public drizzled::plugin::TableFunction
@@ -44,4 +44,4 @@
   }
 };
 
-#endif // PLUGIN_DATA_ENGINE_PLUGINS_H
+#endif // PLUGIN_REGISTRY_DICTIONARY_PLUGINS_H

=== modified file 'plugin/schema_dictionary/columns.h'
--- plugin/schema_dictionary/columns.h	2010-02-10 02:34:41 +0000
+++ plugin/schema_dictionary/columns.h	2010-02-10 09:10:08 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef PLUGIN_DATA_ENGINE_COLUMNS_H
-#define PLUGIN_DATA_ENGINE_COLUMNS_H
+#ifndef PLUGIN_SCHEMA_DICTIONARY_COLUMNS_H
+#define PLUGIN_SCHEMA_DICTIONARY_COLUMNS_H
 
 class ColumnsTool : public TablesTool
 {
@@ -54,4 +54,4 @@
   }
 };
 
-#endif // PLUGIN_DATA_ENGINE_COLUMNS_H
+#endif // PLUGIN_SCHEMA_DICTIONARY_COLUMNS_H

=== modified file 'plugin/schema_dictionary/dictionary.cc'
--- plugin/schema_dictionary/dictionary.cc	2010-02-10 02:34:41 +0000
+++ plugin/schema_dictionary/dictionary.cc	2010-02-10 09:10:08 +0000
@@ -86,6 +86,17 @@
   return 0;
 }
 
+int foo(void);
+int foo(void)
+{
+  drizzled::plugin::Registry &registry= drizzled::plugin::Registry::singleton();
+  init(registry);
+  finalize(registry);
+
+  return 0;
+}
+
+#if 0
 DRIZZLE_DECLARE_PLUGIN
 {
   DRIZZLE_VERSION_ID,
@@ -101,3 +112,4 @@
   NULL
 }
 DRIZZLE_DECLARE_PLUGIN_END;
+#endif

=== modified file 'plugin/schema_dictionary/dictionary.h'
--- plugin/schema_dictionary/dictionary.h	2010-02-10 02:34:41 +0000
+++ plugin/schema_dictionary/dictionary.h	2010-02-10 09:10:08 +0000
@@ -23,12 +23,12 @@
 
 #include <set>
 
+#include "drizzled/plugin/storage_engine.h"
 #include "drizzled/plugin/table_function.h"
 
 #include "drizzled/session.h"
 #include "drizzled/current_session.h"
 #include "drizzled/message/schema.pb.h"
-#include "drizzled/field.h"
 
 #include "plugin/schema_dictionary/schemas.h"
 #include "plugin/schema_dictionary/tables.h"

=== modified file 'plugin/schema_dictionary/index_parts.h'
--- plugin/schema_dictionary/index_parts.h	2010-02-10 02:34:41 +0000
+++ plugin/schema_dictionary/index_parts.h	2010-02-10 09:10:08 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef PLUGIN_DATA_ENGINE_INDEX_PARTS_H
-#define PLUGIN_DATA_ENGINE_INDEX_PARTS_H
+#ifndef PLUGIN_SCHEMA_DICTIONARY_INDEX_PARTS_H
+#define PLUGIN_SCHEMA_DICTIONARY_INDEX_PARTS_H
 
 
 class IndexPartsTool : public IndexesTool
@@ -51,4 +51,4 @@
   }
 };
 
-#endif // PLUGIN_DATA_ENGINE_INDEX_PARTS_H
+#endif // PLUGIN_SCHEMA_DICTIONARY_INDEX_PARTS_H

=== modified file 'plugin/schema_dictionary/indexes.h'
--- plugin/schema_dictionary/indexes.h	2010-02-10 02:34:41 +0000
+++ plugin/schema_dictionary/indexes.h	2010-02-10 09:10:08 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef PLUGIN_DATA_ENGINE_INDEXES_H
-#define PLUGIN_DATA_ENGINE_INDEXES_H
+#ifndef PLUGIN_SCHEMA_DICTIONARY_INDEXES_H
+#define PLUGIN_SCHEMA_DICTIONARY_INDEXES_H
 
 class IndexesTool : public TablesTool
 {
@@ -67,4 +67,4 @@
   }
 };
 
-#endif // PLUGIN_DATA_ENGINE_INDEXES_H
+#endif // PLUGIN_SCHEMA_DICTIONARY_INDEXES_H

=== modified file 'plugin/schema_dictionary/referential_constraints.h'
--- plugin/schema_dictionary/referential_constraints.h	2010-02-10 02:34:41 +0000
+++ plugin/schema_dictionary/referential_constraints.h	2010-02-10 09:10:08 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef PLUGIN_DATA_ENGINE_REFERENTIAL_CONSTRAINTS_H
-#define PLUGIN_DATA_ENGINE_REFERENTIAL_CONSTRAINTS_H
+#ifndef PLUGIN_SCHEMA_DICTIONARY_REFERENTIAL_CONSTRAINTS_H
+#define PLUGIN_SCHEMA_DICTIONARY_REFERENTIAL_CONSTRAINTS_H
 
 class ReferentialConstraintsTool : public TablesTool
 {
@@ -46,4 +46,4 @@
   }
 };
 
-#endif /* PLUGIN_DATA_ENGINE_REFERENTIAL_CONSTRAINTS_H */
+#endif /* PLUGIN_SCHEMA_DICTIONARY_REFERENTIAL_CONSTRAINTS_H */

=== modified file 'plugin/schema_dictionary/schemas.h'
--- plugin/schema_dictionary/schemas.h	2010-02-10 02:34:41 +0000
+++ plugin/schema_dictionary/schemas.h	2010-02-10 09:10:08 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef PLUGIN_DATA_ENGINE_SCHEMAS_H
-#define PLUGIN_DATA_ENGINE_SCHEMAS_H
+#ifndef PLUGIN_SCHEMA_DICTIONARY_SCHEMAS_H
+#define PLUGIN_SCHEMA_DICTIONARY_SCHEMAS_H
 
 class SchemasTool : public drizzled::plugin::TableFunction
 {
@@ -100,4 +100,4 @@
 };
 
 
-#endif // PLUGIN_DATA_ENGINE_SCHEMAS_H
+#endif // PLUGIN_SCHEMA_DICTIONARY_SCHEMAS_H

=== modified file 'plugin/schema_dictionary/table_constraints.h'
--- plugin/schema_dictionary/table_constraints.h	2010-02-10 02:34:41 +0000
+++ plugin/schema_dictionary/table_constraints.h	2010-02-10 09:10:08 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef PLUGIN_DATA_ENGINE_TABLE_CONSTAINTS_H
-#define PLUGIN_DATA_ENGINE_TABLE_CONSTAINTS_H
+#ifndef PLUGIN_SCHEMA_DICTIONARY_TABLE_CONSTAINTS_H
+#define PLUGIN_SCHEMA_DICTIONARY_TABLE_CONSTAINTS_H
 
 
 class TableConstraintsTool : public TablesTool
@@ -47,4 +47,4 @@
   }
 };
 
-#endif // PLUGIN_DATA_ENGINE_TABLE_CONSTAINTS_H
+#endif // PLUGIN_SCHEMA_DICTIONARY_TABLE_CONSTAINTS_H

=== modified file 'plugin/schema_dictionary/tables.h'
--- plugin/schema_dictionary/tables.h	2010-02-10 02:34:41 +0000
+++ plugin/schema_dictionary/tables.h	2010-02-10 09:10:08 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef PLUGIN_DATA_ENGINE_TABLES_H
-#define PLUGIN_DATA_ENGINE_TABLES_H
+#ifndef PLUGIN_SCHEMA_DICTIONARY_TABLES_H
+#define PLUGIN_SCHEMA_DICTIONARY_TABLES_H
 
 class TablesTool : public SchemasTool
 {
@@ -209,4 +209,4 @@
   }
 };
 
-#endif // PLUGIN_DATA_ENGINE_TABLES_H
+#endif // PLUGIN_SCHEMA_DICTIONARY_TABLES_H

=== added directory 'plugin/sesssion_dictionary'
=== added file 'plugin/sesssion_dictionary/dictionary.cc'
--- plugin/sesssion_dictionary/dictionary.cc	1970-01-01 00:00:00 +0000
+++ plugin/sesssion_dictionary/dictionary.cc	2010-02-10 09:10:08 +0000
@@ -0,0 +1,68 @@
+/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Brian Aker
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include "config.h"
+#include "plugin/sesssion_dictionary/dictionary.h"
+
+static ProcesslistTool *processlist;
+
+static int init(drizzled::plugin::Registry &registry)
+{
+  processlist= new(std::nothrow)ProcesslistTool;
+  registry.add(processlist);
+  
+  return 0;
+}
+
+static int finalize(drizzled::plugin::Registry &registry)
+{
+  registry.remove(processlist);
+  delete processlist;
+
+  return 0;
+}
+
+int foo(void);
+int foo(void)
+{
+  drizzled::plugin::Registry &registry= drizzled::plugin::Registry::singleton();
+  init(registry);
+  finalize(registry);
+
+  return 0;
+}
+
+#if 0
+DRIZZLE_DECLARE_PLUGIN
+{
+  DRIZZLE_VERSION_ID,
+  "schema_dictionary",
+  "1.0",
+  "Brian Aker",
+  "Data Dictionary for schema, table, column, indexes, etc",
+  PLUGIN_LICENSE_GPL,
+  init,
+  finalize,
+  NULL,
+  NULL,
+  NULL
+}
+DRIZZLE_DECLARE_PLUGIN_END;
+#endif

=== added file 'plugin/sesssion_dictionary/dictionary.h'
--- plugin/sesssion_dictionary/dictionary.h	1970-01-01 00:00:00 +0000
+++ plugin/sesssion_dictionary/dictionary.h	2010-02-10 09:10:08 +0000
@@ -0,0 +1,30 @@
+/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Brian Aker
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#ifndef PLUGIN_SCHEMA_DICTIONARY_DICTIONARY_H
+#define PLUGIN_SCHEMA_DICTIONARY_DICTIONARY_H
+
+#include <set>
+
+#include "drizzled/plugin/table_function.h"
+
+#include "plugin/sesssion_dictionary/processlist.h"
+
+#endif  /* PLUGIN_SCHEMA_DICTIONARY_DICTIONARY_H */

=== added file 'plugin/sesssion_dictionary/plugin.ini'
--- plugin/sesssion_dictionary/plugin.ini	1970-01-01 00:00:00 +0000
+++ plugin/sesssion_dictionary/plugin.ini	2010-02-10 09:10:08 +0000
@@ -0,0 +1,10 @@
+[plugin]
+title=Session Dictionary
+description=Dictionary for session information, includes processlist system.
+load_by_default=yes
+sources=
+  processlist.cc
+  dictionary.cc
+headers=
+  processlist.h
+  dictionary.h

=== renamed file 'plugin/data_engine/processlist.cc' => 'plugin/sesssion_dictionary/processlist.cc'
--- plugin/data_engine/processlist.cc	2010-02-07 03:19:57 +0000
+++ plugin/sesssion_dictionary/processlist.cc	2010-02-10 09:10:08 +0000
@@ -20,7 +20,7 @@
 
 #include "config.h"
 
-#include <plugin/data_engine/processlist.h>
+#include "plugin/sesssion_dictionary/dictionary.h"
 
 #include <netdb.h>
 

=== renamed file 'plugin/data_engine/processlist.h' => 'plugin/sesssion_dictionary/processlist.h'
--- plugin/data_engine/processlist.h	2010-02-05 08:11:15 +0000
+++ plugin/sesssion_dictionary/processlist.h	2010-02-10 09:10:08 +0000
@@ -18,11 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef PLUGIN_DATA_ENGINE_PROCESSLIST_H
-#define PLUGIN_DATA_ENGINE_PROCESSLIST_H
-
-#include "drizzled/plugin/table_function.h"
-
+#ifndef PLUGIN_SESSION_DICTIONARY_PROCESSLIST_H
+#define PLUGIN_SESSION_DICTIONARY_PROCESSLIST_H
 
 class ProcesslistTool : public drizzled::plugin::TableFunction
 {
@@ -48,4 +45,4 @@
   }
 };
 
-#endif // PLUGIN_DATA_ENGINE_PROCESSLIST_H
+#endif // PLUGIN_SESSION_DICTIONARY_PROCESSLIST_H

=== added directory 'plugin/status_dictionary'
=== added file 'plugin/status_dictionary/dictionary.cc'
--- plugin/status_dictionary/dictionary.cc	1970-01-01 00:00:00 +0000
+++ plugin/status_dictionary/dictionary.cc	2010-02-10 09:10:08 +0000
@@ -0,0 +1,96 @@
+/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Brian Aker
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include "config.h"
+#include "plugin/status_dictionary/dictionary.h"
+
+static StatementsTool *global_statements;
+static StatementsTool *session_statements;
+static StatusTool *global_status;
+static StatusTool *session_status;
+static VariablesTool *global_variables;
+static VariablesTool *session_variables;
+
+
+static int init(drizzled::plugin::Registry &registry)
+{
+  global_statements= new(std::nothrow)StatementsTool(true);
+  global_status= new(std::nothrow)StatusTool(true);
+  session_statements= new(std::nothrow)StatementsTool(false);
+  session_status= new(std::nothrow)StatusTool(false);
+  global_variables= new(std::nothrow)VariablesTool(true);
+  session_variables= new(std::nothrow)VariablesTool(false);
+
+  registry.add(global_statements);
+  registry.add(global_status);
+  registry.add(global_variables);
+  registry.add(session_statements);
+  registry.add(session_status);
+  registry.add(session_variables);
+  
+  return 0;
+}
+
+static int finalize(drizzled::plugin::Registry &registry)
+{
+  registry.remove(global_statements);
+  registry.remove(global_status);
+  registry.remove(global_variables);
+  registry.remove(session_statements);
+  registry.remove(session_status);
+  registry.remove(session_variables);
+
+  delete global_statements;
+  delete global_status;
+  delete global_variables;
+  delete session_statements;
+  delete session_status;
+  delete session_variables;
+
+  return 0;
+}
+
+int foo(void);
+int foo(void)
+{
+  drizzled::plugin::Registry &registry= drizzled::plugin::Registry::singleton();
+  init(registry);
+  finalize(registry);
+
+  return 0;
+}
+
+#if 0
+DRIZZLE_DECLARE_PLUGIN
+{
+  DRIZZLE_VERSION_ID,
+  "schema_dictionary",
+  "1.0",
+  "Brian Aker",
+  "Data Dictionary for schema, table, column, indexes, etc",
+  PLUGIN_LICENSE_GPL,
+  init,
+  finalize,
+  NULL,
+  NULL,
+  NULL
+}
+DRIZZLE_DECLARE_PLUGIN_END;
+#endif

=== added file 'plugin/status_dictionary/dictionary.h'
--- plugin/status_dictionary/dictionary.h	1970-01-01 00:00:00 +0000
+++ plugin/status_dictionary/dictionary.h	2010-02-10 09:10:08 +0000
@@ -0,0 +1,32 @@
+/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Brian Aker
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#ifndef PLUGIN_SCHEMA_DICTIONARY_DICTIONARY_H
+#define PLUGIN_SCHEMA_DICTIONARY_DICTIONARY_H
+
+#include "drizzled/plugin/table_function.h"
+
+#include "drizzled/session.h"
+
+#include "plugin/status_dictionary/state_tool.h"
+#include "plugin/status_dictionary/status.h"
+#include "plugin/status_dictionary/variables.h"
+
+#endif  /* PLUGIN_SCHEMA_DICTIONARY_DICTIONARY_H */

=== added file 'plugin/status_dictionary/plugin.ini'
--- plugin/status_dictionary/plugin.ini	1970-01-01 00:00:00 +0000
+++ plugin/status_dictionary/plugin.ini	2010-02-10 09:10:08 +0000
@@ -0,0 +1,12 @@
+[plugin]
+title=Status Dictionary
+description=Dictionary system for status, variables, commands.
+load_by_default=yes
+sources=
+  status.cc
+  dictionary.cc
+headers=
+  dictionary.h
+  state_tool.h
+  status.h
+  variables.h

=== renamed file 'plugin/data_engine/state_tool.h' => 'plugin/status_dictionary/state_tool.h'
--- plugin/data_engine/state_tool.h	2010-02-05 08:11:15 +0000
+++ plugin/status_dictionary/state_tool.h	2010-02-10 09:10:08 +0000
@@ -18,9 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef PLUGIN_DATA_ENGINE_STATE_TOOL_H
-#define PLUGIN_DATA_ENGINE_STATE_TOOL_H
-
+#ifndef PLUGIN_STATUS_DICTIONARY_STATE_TOOL_H
+#define PLUGIN_STATUS_DICTIONARY_STATE_TOOL_H
 
 class StateTool : public drizzled::plugin::TableFunction
 {
@@ -68,4 +67,4 @@
   }
 };
 
-#endif /* PLUGIN_DATA_ENGINE_STATE_TOOL_H */
+#endif /* PLUGIN_STATUS_DICTIONARY_STATE_TOOL_H */

=== renamed file 'plugin/data_engine/status.cc' => 'plugin/status_dictionary/status.cc'
--- plugin/data_engine/status.cc	2010-02-07 03:21:39 +0000
+++ plugin/status_dictionary/status.cc	2010-02-10 09:10:08 +0000
@@ -20,7 +20,8 @@
 
 #include "config.h"
 
-#include <plugin/data_engine/function.h>
+#include "plugin/status_dictionary/dictionary.h"
+
 #include <drizzled/pthread_globals.h>
 #include <drizzled/internal/m_string.h>
 #include <drizzled/definitions.h>

=== renamed file 'plugin/data_engine/status.h' => 'plugin/status_dictionary/status.h'
--- plugin/data_engine/status.h	2010-02-05 08:11:15 +0000
+++ plugin/status_dictionary/status.h	2010-02-10 09:10:08 +0000
@@ -18,14 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef PLUGIN_DATA_ENGINE_STATUS_H
-#define PLUGIN_DATA_ENGINE_STATUS_H
-
-#include "drizzled/plugin/table_function.h"
-#include "drizzled/field.h"
-#include "plugin/data_engine/state_tool.h"
-#include "plugin/data_engine/variables.h"
-
+#ifndef PLUGIN_STATUS_DICTIONARY_STATUS_H
+#define PLUGIN_STATUS_DICTIONARY_STATUS_H
 
 class StatusTool : public StateTool
 {
@@ -54,4 +48,4 @@
   }
 };
 
-#endif // PLUGIN_DATA_ENGINE_STATUS_H
+#endif // PLUGIN_STATUS_DICTIONARY_STATUS_H

=== renamed file 'plugin/data_engine/variables.h' => 'plugin/status_dictionary/variables.h'
--- plugin/data_engine/variables.h	2010-02-05 08:11:15 +0000
+++ plugin/status_dictionary/variables.h	2010-02-10 09:10:08 +0000
@@ -18,10 +18,10 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef PLUGIN_DATA_ENGINE_VARIABLES_H
-#define PLUGIN_DATA_ENGINE_VARIABLES_H
+#ifndef PLUGIN_STATUS_DICTIONARY_VARIABLES_H
+#define PLUGIN_STATUS_DICTIONARY_VARIABLES_H
 
-#include "plugin/data_engine/state_tool.h"
+#include "plugin/status_dictionary/dictionary.h"
 
 class VariablesTool : public StateTool
 {
@@ -41,4 +41,4 @@
   }
 };
 
-#endif // PLUGIN_DATA_ENGINE_VARIABLES_H
+#endif // PLUGIN_STATUS_DICTIONARY_VARIABLES_H

